basePath: /
definitions:
  model.RequestAction:
    properties:
      command:
        type: string
      environment:
        additionalProperties:
          type: string
        type: object
      image:
        type: string
      network:
        type: string
      security:
        $ref: '#/definitions/util.SecuritySettings'
      version:
        type: string
    type: object
  model.RequestVersion:
    properties:
      security:
        $ref: '#/definitions/util.SecuritySettings'
      version:
        type: string
    type: object
  model.ResponseError:
    properties:
      error:
        type: string
    type: object
  model.ResponseVersion:
    properties:
      version:
        type: string
    type: object
  util.SecuritySettings:
    properties:
      password:
        type: string
      user:
        type: string
    type: object
info:
  contact: {}
  description: This is a Docker Deploy Server
  title: Swagger Docker Deploy API
  version: "1.0"
paths:
  /executor:
    post:
      consumes:
      - application/json
      description: Execute image
      parameters:
      - description: Action
        in: body
        name: action
        required: true
        schema:
          $ref: '#/definitions/model.RequestAction'
      produces:
      - application/json
      responses:
        "202":
          description: Logs
          schema:
            type: body
        "406":
          description: Data not valid
          schema:
            $ref: '#/definitions/model.ResponseError'
        "500":
          description: Internal error
          schema:
            $ref: '#/definitions/model.ResponseError'
      security:
      - ApiKeyAuth: []
      tags:
      - Execute
  /service/{name}:
    post:
      consumes:
      - application/json
      description: Set service version
      parameters:
      - description: Service name with namespace
        in: path
        name: name
        required: true
        type: string
      - description: Version
        in: body
        name: version
        required: true
        schema:
          $ref: '#/definitions/model.RequestVersion'
      produces:
      - application/json
      responses:
        "204":
          description: ""
        "404":
          description: Service not found
          schema:
            $ref: '#/definitions/model.ResponseError'
        "406":
          description: Data not valid
          schema:
            $ref: '#/definitions/model.ResponseError'
        "500":
          description: Internal error
          schema:
            $ref: '#/definitions/model.ResponseError'
      security:
      - ApiKeyAuth: []
      tags:
      - Service
  /service/{name}/version:
    get:
      consumes:
      - application/json
      description: Get service version
      parameters:
      - description: Service name with namespace
        in: path
        name: name
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Version
          schema:
            $ref: '#/definitions/model.ResponseVersion'
        "404":
          description: Service not found
          schema:
            $ref: '#/definitions/model.ResponseError'
        "500":
          description: Internal error
          schema:
            $ref: '#/definitions/model.ResponseError'
      security:
      - ApiKeyAuth: []
      tags:
      - Service
securityDefinitions:
  ApiKeyAuth:
    in: header
    name: Authorization
    type: apiKey
swagger: "2.0"
